# Visualization
TKV2d
Graphic2d

# Graphic2d_Image Class Reference

This class defines the primitive Image
.

`#include <Graphic2d_Image.hxx>`

Inheritance diagram for Graphic2d_Image:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic2d_Image (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Handle(Image_Image)&anImage, const Quantity_Length X, const Quantity_Length Y, const Quantity_Length adx=0.0, const Quantity_Length ady=0.0, const Aspect_CardinalPoints aTypeOfPlacement=Aspect_CP_Center)
| Defines an image with its center location; <x>, <y> defines the position in the space model. <adx>, <ady> defines an offset in the device space. The image will be placed at this offset according to the type of placement. .
Standard_EXPORT void | SetCenter (const Quantity_Length X, const Quantity_Length Y)
| Modifies the center location of the image <me>. .
Standard_EXPORT void | SetOffset (const Quantity_Length dx, const Quantity_Length dy)
| Modifies the offset of the image <me>. .
Standard_EXPORT void | SetPlacement (const Aspect_CardinalPoints aPlacement)
| Modifies the type of placement of the image <me>. .
Standard_EXPORT void | Translate (const Quantity_Length DX, const Quantity_Length DY)
| Modifies the center location of the image <me> by translating it. .
Standard_EXPORT void | Clear ()
| Clear the reference to this image if something inside have changed,Forced the reload of this at Draw() time. .
Standard_EXPORT void | Position (Quantity_Length &X, Quantity_Length &Y) const
| returns the position in the space model
Standard_EXPORT void | Offset (Quantity_Length &aX, Quantity_Length &aY) const
| returns the offset in the device space
Standard_EXPORT Aspect_CardinalPoints | Placement () const
| returns the type of placement
Standard_EXPORT Handle_Image_Image | Image () const
| returns the image
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | SetSmallSize (const Standard_Integer aSize)
| Defines the limit between a large image and a small image. Warning: A small image have Height*Width <= SmallSize (). Default 4096 = 64*64 .
static Standard_EXPORT Standard_Integer | SmallSize ()
| Returns the limit between a large image and a small image. Warning: A small image have Height*Width <= SmallSize (). .

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the image at the required center location defined by the SetCenter method. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the image <me> is picked, Standard_False if not. .

## Private Member Functions

Standard_EXPORT void | FillAndDraw (const Handle(Graphic2d_Drawer)&aDrawer) const
| Fills the image <me> in the drawer <adrawer>. .
Standard_EXPORT void | ComputeCenter (const Handle(Graphic2d_Drawer)&aDrawer, Standard_ShortReal &cx, Standard_ShortReal &cy) const
| Evaluates the center of the image in the device space. Called by the methods Graphic2d_Image::Draw, Graphic2d_Image::Pick and Graphic2d_Image::FillAndDraw. .

## Private Attributes

Handle_Image_Image | myImage
Standard_ShortReal | myX
Standard_ShortReal | myY
Standard_ShortReal | mydx
Standard_ShortReal | mydy
Aspect_CardinalPoints | myPlacement
Standard_Boolean | myIsModified

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_Image::Graphic2d_Image | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Handle(Image_Image)& | anImage,
|  | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | adx = `0.0`,
|  | const Quantity_Length | ady = `0.0`,
|  | const Aspect_CardinalPoints | aTypeOfPlacement = `Aspect_CP_Center`
| ) |

## Member Function Documentation

Standard_EXPORT void Graphic2d_Image::Clear | ( |  | ) |

Standard_EXPORT void Graphic2d_Image::ComputeCenter | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | Standard_ShortReal & | cx,
|  | Standard_ShortReal & | cy
| ) | const`[private]`

Standard_EXPORT void Graphic2d_Image::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT void Graphic2d_Image::FillAndDraw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | const`[private]`

Standard_EXPORT const Graphic2d_Image::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT Handle_Image_Image Graphic2d_Image::Image | ( |  | ) | const

Standard_EXPORT void Graphic2d_Image::Offset | ( | Quantity_Length & | aX,
|  | Quantity_Length & | aY
| ) | const

Standard_EXPORT Standard_Boolean Graphic2d_Image::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT Aspect_CardinalPoints Graphic2d_Image::Placement | ( |  | ) | const

Standard_EXPORT void Graphic2d_Image::Position | ( | Quantity_Length & | X,
|  | Quantity_Length & | Y
| ) | const

virtual Standard_EXPORT void Graphic2d_Image::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT void Graphic2d_Image::SetCenter | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y
| ) |

Standard_EXPORT void Graphic2d_Image::SetOffset | ( | const Quantity_Length | dx,
|  | const Quantity_Length | dy
| ) |

Standard_EXPORT void Graphic2d_Image::SetPlacement | ( | const Aspect_CardinalPoints | aPlacement | ) |

static Standard_EXPORT void Graphic2d_Image::SetSmallSize | ( | const Standard_Integer | aSize | ) | `[static]`

static Standard_EXPORT Standard_Integer Graphic2d_Image::SmallSize | ( |  | ) | `[static]`

Standard_EXPORT void Graphic2d_Image::Translate | ( | const Quantity_Length | DX,
|  | const Quantity_Length | DY
| ) |

## Field Documentation

Standard_ShortReal Graphic2d_Image::mydx `[private]`

Standard_ShortReal Graphic2d_Image::mydy `[private]`

Handle_Image_Image Graphic2d_Image::myImage `[private]`

Standard_Boolean Graphic2d_Image::myIsModified `[private]`

Aspect_CardinalPoints Graphic2d_Image::myPlacement `[private]`

Standard_ShortReal Graphic2d_Image::myX `[private]`

Standard_ShortReal Graphic2d_Image::myY `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_Image.hxx